#!/bin/bash

echo "Logging performance of Intel 11.1 -O2 -xSSE2"

echo "Running serial version compiled from C"
./stream_uni_c_Intel_static.exe >LOG_uni_c.txt

echo "Running serial version compiled from Fortran"
./stream_uni_f_Intel_static.exe >LOG_uni_f.txt

for p in 1 2 3 4 5 6 7 8
do
	echo $i
	export OMP_NUM_THREADS=$p
	echo "Setting up for $p threads"
	echo "    Running OpenMP version compiled from C"
	./stream_omp_c_Intel_static.exe >LOG_omp_c_${p}p.txt
	echo "    Running OpenMP version compiled from Fortran"
	./stream_omp_f_Intel_static.exe >LOG_omp_f_${p}p.txt
done
